icons 0.5.2

Icons for Rust fullstack applications — Leptos and Dioxus.
Documentation
[data-name="ArrowLeftAnimate"]:hover path[d="m12 19-7-7 7-7"] {
    animation: arrowPathAnimate 0.4s ease-in-out;
}

[data-name="ArrowLeftAnimate"]:hover path[d="M19 12H5"] {
    animation: linePathAnimate 0.4s ease-in-out;
}

@keyframes arrowPathAnimate {
    0% { transform: translateX(0); }
    50% { transform: translateX(3px); }
    100% { transform: translateX(0); }
}

@keyframes linePathAnimate {
    0% { d: path('M19 12H5'); }
    50% { d: path('M19 12H10'); }
    100% { d: path('M19 12H5'); }
}